IEEE1284_ECP_FWD_TO_(3)

NAME
ieee1284_ecp_fwd_to_rev, ieee1284_ecp_rev_to_fwd - ECP direction switching

SYNOPSIS

int ieee1284_ecp_fwd_to_rev(struct parport *port);

int ieee1284_ecp_rev_to_fwd(struct parport *port);

DESCRIPTION

These functions are used to switch directions when in ECP mode. On negotiation to ECP mode the direction is forward (in other words, host-to-peripheral). Use ieee1284_ecp_fwd_to_rev to switch from forward to reverse, and ieee1284_ecp_rev_to_fwd to switch from reverse to forward.

They act on the parallel port associated with port, which must be claimed.

RETURN VALUE

E1284_OK
    Direction switched successfully.

E1284_NOTIMPL
    The port lacks the required capability. This could be due to a limitation of this version of libieee1284, or a hardware limitation.

E1284_INVALIDPORT
    The port parameter is invalid (for instance, perhaps the port is not claimed).

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh